org.wildfly.swarm.config.management.security_realm

## Class JaasAuthentication<T extends JaasAuthentication<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.JaasAuthentication<T>

-     public class JaasAuthentication<T extends JaasAuthentication<T>>
      extends Object

  Configuration to use a JAAS LoginContext to authenticate the users.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaasAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `assignGroups()` Map the roles loaded by JAAS to groups.
    `T` | `assignGroups(Boolean value)` Map the roles loaded by JAAS to groups.
    `String` | `getKey()`
    `String` | `name()` The name of the JAAS configuration to use.
    `T` | `name(String value)` The name of the JAAS configuration to use.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaasAuthentication

          public JaasAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### assignGroups

          public Boolean assignGroups()

      Map the roles loaded by JAAS to groups.

    - #### assignGroups

          public T assignGroups(Boolean value)

      Map the roles loaded by JAAS to groups.

    - #### name

          public String name()

      The name of the JAAS configuration to use.

    - #### name

          public T name(String value)

      The name of the JAAS configuration to use.

Copyright © 2017 JBoss by Red Hat. All rights reserved.